Subject: Re: B20.1: It takes hitting RET key twice to make select() recognize input from stdin
From: Chris Faylor <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 23 May 1999 00:36:43 -0400

On Sat, May 22, 1999 at 01:24:17PM -0500, Mumit Khan wrote:
>Kazuhisa Ichikawa <[email-masked]> writes:
>> 
>> Under cygwin b20.1, select() does not correctly detect input from stdin. That
>>  is,
>> if I type a character and hit RET key once, select() returns 0 as the number 
>> of
>> bits set in the bit masks. If I hit the RET key the second time, select()
>> correctly returns 1.
>
>> 
>> To reproduce the problem, just compile the attached test case and run it as:
>> 
>>         gcc -g -o select_test.exe select_test.c
>>         ./select_test.exe
>
>I can't reproduce your problem on either NT or Win95. I do see different
>behaviour if set the tty in CYGWIN variable (before starting bash), but
>either case select returns 1 as expected. With CYGWIN=tty, I see the 
>same behaviour as on Linux.

This behavior should be fixed (or at least different) in recent snapshots.
I rewrote the console handling a month or so ago.

-chris

--
Want to unsubscribe from this list?
Send a message to [email-masked]